> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korbit.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Obter produto

> Detalhe do produto, incluindo preços e ofertas vigentes.



## OpenAPI

````yaml /openapi/korbit-public-v1.json get /v1/products/{id}
openapi: 3.1.0
info:
  title: Korbit API
  version: 1.0.0
  description: >-
    API de pagamentos da Korbit para merchants: PIX, cartão (com 3DS),
    assinaturas, checkout por link, payouts, antecipações e refunds — com
    idempotência, webhooks assinados e ambiente sandbox.
  contact:
    name: Suporte Korbit
    email: suporte@korbit.com.br
servers:
  - url: https://api.korbit.com.br
    description: Produção (chaves kbt_live_)
  - url: https://api-test.korbit.com.br
    description: Sandbox (chaves kbt_test_)
security:
  - bearerAuth: []
tags:
  - name: Antecipações
  - name: Assinaturas
  - name: Atividade
  - name: Catálogo
  - name: Chaves de API
  - name: Checkout
  - name: Clientes e Pedidos
  - name: Pagamentos
  - name: Refunds e Disputas
  - name: Saldo e Saques
  - name: Sandbox
  - name: Webhooks
paths:
  /v1/products/{id}:
    get:
      tags:
        - Catálogo
      summary: Obter produto
      description: Detalhe do produto, incluindo preços e ofertas vigentes.
      operationId: getCommerceProduct
      parameters:
        - schema:
            type: string
            format: uuid
          in: path
          name: id
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - archivedAt
                  - createdAt
                  - description
                  - environment
                  - id
                  - imageAssetId
                  - imageUrl
                  - name
                  - productType
                  - refundWindowDays
                  - status
                  - updatedAt
                properties:
                  archivedAt:
                    anyOf:
                      - type: string
                        format: date-time
                      - type: 'null'
                  createdAt:
                    type: string
                    format: date-time
                  description:
                    anyOf:
                      - type: string
                        maxLength: 4000
                      - type: 'null'
                  environment:
                    type: string
                    enum:
                      - live
                      - test
                  id:
                    type: string
                    format: uuid
                  imageAssetId:
                    anyOf:
                      - type: string
                        format: uuid
                      - type: 'null'
                  imageUrl:
                    anyOf:
                      - type: string
                        format: uri
                        maxLength: 2048
                        pattern: ^https://
                      - type: 'null'
                  name:
                    type: string
                    minLength: 1
                    maxLength: 200
                  productType:
                    type: string
                    enum:
                      - ONE_TIME
                      - SUBSCRIPTION
                  refundWindowDays:
                    type: integer
                    minimum: 7
                    maximum: 90
                  status:
                    type: string
                    enum:
                      - DRAFT
                      - ACTIVE
                      - ARCHIVED
                  updatedAt:
                    type: string
                    format: date-time
        '401':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '403':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '404':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
        '429':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: false
                required:
                  - detail
                  - instance
                  - requestId
                  - status
                  - title
                  - type
                properties:
                  code:
                    type: string
                  detail:
                    type: string
                  instance:
                    type: string
                  requestId:
                    type: string
                  status:
                    type: integer
                    minimum: 400
                    maximum: 599
                  title:
                    type: string
                  type:
                    type: string
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Korbit API key

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.